[问题]如何新增一个编译器的PATH

为当前最终发行版之前的所有版本提供支持
回复
arthurzhuling
帖子: 12
注册时间: 2008-04-20 15:40
送出感谢: 0
接收感谢: 0

[问题]如何新增一个编译器的PATH

#1

帖子 arthurzhuling » 2008-05-17 22:49

需要用一个编译器armv4l-unknown-linux-gcc ,已经被安装在/opt/host/armv4l/bin/下了,
但是在用的时候仍然找不到,我该如何让系统知道它在这里?
我的/home/用户文件夹里好像没有 .bash_profile这个文件嘛,我用的是8。04
请哪位不嫌麻烦能指导一下吗?谢谢!我上网搜修改变量的方法都觉得说得不清楚
头像
hualang0929
帖子: 1226
注册时间: 2006-11-11 10:23
来自: Mars
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 hualang0929 » 2008-05-17 22:53

把路径加到 /etc/environment
或者 export PATH="xxxxxx" 放到 ~/.bashrc
抬头望星空一片晴,我独行,夜已渐寒……
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#3

帖子 eexpress » 2008-05-17 22:57

编译的软件???
sudo ln -s /opt/host/armv4l/bin/xxx /usr/bin/xxx

建立~/.bashrc吧。

/etc/environment这样的文件别动。好像是已经废弃了。
● 鸣学
arthurzhuling
帖子: 12
注册时间: 2008-04-20 15:40
送出感谢: 0
接收感谢: 0

#4

帖子 arthurzhuling » 2008-05-18 10:18

感谢3楼的耐心指导,用了sudo ln -s /opt/host/armv4l/bin/xxx /usr/bin/xxx 以后就没事了,请问这个命令做了什么?

另外说要建立~/.bashrc, 那么这个文件里面应该写些什么呢?

谢谢
回复

回到 “老旧版本支持”